Delete User File
curl --request DELETE \
--url https://production.runalloy.com/connectors/files/{s3Key} \
--header 'Authorization: Bearer <token>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/connectors/files/{s3Key}"
headers = {
"x-api-version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://production.runalloy.com/connectors/files/{s3Key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "File deleted successfully"
}{
"error": "Invalid S3 key, file not found"
}Files
Delete User File
Delete a file by its S3 key
DELETE
/
connectors
/
files
/
{s3Key}
Delete User File
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
API version
Path Parameters
The S3 key of the file to delete
⌘I

